xine-lib: xine-lib-1.2.13/src/spu_dec/spudec.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Functions
spudec.h File Reference
`#include <inttypes.h>`
`#include <xine/video_out.h>`
`#include <xine/video_overlay.h>`
`#include "nav_types.h"`

Go to the source code of this file.

## Data Structures
struct | spudec_clut_struct
struct | spudec_seq_t
struct | spudec_state_t
struct | spudec_stream_state_s
struct | pci_node_s
struct | spudec_decoder_s

## Macros
#define | NUM_SEQ_BUFFERS 50
#define | MAX_STREAMS 32

## Typedefs
typedef struct spudec_clut_struct | spudec_clut_t
typedef struct spudec_stream_state_s | spudec_stream_state_t
typedef struct pci_node_s | pci_node_t
typedef struct spudec_decoder_s | spudec_decoder_t

## Functions
void | spudec_reassembly (xine_t *xine, spudec_seq_t *seq, uint8_t *pkt_data, unsigned pkt_len)
void | spudec_process (spudec_decoder_t *this, int stream_id)
void | spudec_decode_nav (spudec_decoder_t *this, buf_element_t *buf)
void | spudec_clear_nav_list (spudec_decoder_t *this)
void | spudec_update_nav (spudec_decoder_t *this)
void | spudec_process_nav (spudec_decoder_t *this)
int | spudec_copy_nav_to_overlay (xine_t *xine, pci_t *nav_pci, uint32_t *clut, int32_t button, int32_t mode, vo_overlay_t *overlay, vo_overlay_t *base)

## Macro Definition Documentation

## ◆ MAX_STREAMS

#define MAX_STREAMS 32

## ◆ NUM_SEQ_BUFFERS

#define NUM_SEQ_BUFFERS 50

## Typedef Documentation

## ◆ pci_node_t

typedef struct pci_node_s pci_node_t

## ◆ spudec_clut_t

typedef struct spudec_clut_struct spudec_clut_t

## ◆ spudec_decoder_t

typedef struct spudec_decoder_s spudec_decoder_t

## ◆ spudec_stream_state_t

typedef struct spudec_stream_state_s spudec_stream_state_t

## Function Documentation

## ◆ spudec_clear_nav_list()

void spudec_clear_nav_list | ( | spudec_decoder_t * | this | ) |

References pci_node_s::next, and pci_node_s::pci.

Referenced by spudec_decode_nav(), spudec_discontinuity(), spudec_dispose(), and spudec_reset().

## ◆ spudec_copy_nav_to_overlay()

int spudec_copy_nav_to_overlay | ( | xine_t * | xine,
|  | pci_t * | nav_pci,
|  | uint32_t * | clut,
|  | int32_t | button,
|  | int32_t | mode,
|  | vo_overlay_t * | overlay,
|  | vo_overlay_t * | base )

References vo_overlay_s::color, vo_overlay_s::hili_bottom, vo_overlay_s::hili_color, vo_overlay_s::hili_left, vo_overlay_s::hili_right, vo_overlay_s::hili_top, vo_overlay_s::hili_trans, mode(), NULL, vo_overlay_s::trans, vo_overlay_s::x, XINE_VERBOSITY_DEBUG, xprintf, and vo_overlay_s::y.

Referenced by spudec_process(), and spudec_set_button().

## ◆ spudec_decode_nav()

void spudec_decode_nav | ( | spudec_decoder_t * | this,
|  | buf_element_t * | buf )

References video_overlay_manager_s::add_event, buf_element_s::content, video_overlay_manager_s::get_handle, pci_node_s::next, NULL, xine_ui_data_t::num_buttons, OVERLAY_EVENT_HIDE, pci_node_s::pci, buf_element_s::pts, spudec_clear_nav_list(), spudec_process_nav(), spudec_update_nav(), pci_node_s::vpts, xine_event_send(), XINE_EVENT_UI_NUM_BUTTONS, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by spudec_decode_data().

## ◆ spudec_process()

void spudec_process | ( | spudec_decoder_t * | this,
|  | int | stream_id )

References video_overlay_manager_s::add_event, spudec_seq_t::broken, spudec_seq_t::buf, spudec_seq_t::cmd_offs, spudec_seq_t::finished, video_overlay_manager_s::get_handle, height, pci_node_s::next, NULL, OVERLAY_EVENT_HIDE, OVERLAY_EVENT_SHOW, pci_node_s::pci, spudec_copy_nav_to_overlay(), spudec_discover_clut(), spudec_do_commands(), spudec_draw_picture(), width, XINE_EVENT_INPUT_BUTTON_FORCE, xine_event_send(), xine_fast_memcpy, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by spudec_decode_data().

## ◆ spudec_process_nav()

void spudec_process_nav | ( | spudec_decoder_t * | this | ) |

References xine_ui_data_t::num_buttons, xine_event_send(), and XINE_EVENT_UI_NUM_BUTTONS.

Referenced by spudec_decode_nav(), and spudec_update_nav().

## ◆ spudec_reassembly()

void spudec_reassembly | ( | xine_t * | xine,
|  | spudec_seq_t * | seq,
|  | uint8_t * | pkt_data,
|  | unsigned | pkt_len )

## ◆ spudec_update_nav()

void spudec_update_nav | ( | spudec_decoder_t * | this | ) |

References metronom_clock_s::get_current_time, pci_node_s::next, and spudec_process_nav().

Referenced by spudec_decode_data(), spudec_decode_nav(), spudec_get_interact_info(), and spudec_set_button().